%global srcname telnet
%global forgeurl https://github.com/SDL-Hercules-390/%{srcname}
%global commit e0e2a9150cb0c7cea8b27ea126e1367b3f03b17e

%global _vpath_builddir %{_builddir}/%{srcname}%{__isa_bits}.Release
%global debug_package %{nil}

%global common_description %{expand:
libtelnet is a library for handling the TELNET protocol for use by the
SDL-Hercules-390 emulator. It includes routines for parsing incoming data from
a remote peer as well as formatting data to be sent to the remote peer.

libtelnet uses a callback-oriented API, allowing application-specific handling
of various events. The callback system is also used for buffering outgoing
protocol data, allowing the application to maintain control of the actual
socket connection.

Features supported include the full TELNET protocol, Q-method option
negotiation, and NEW-ENVIRON.}

Name:           sdl-telnet
Version:        1.0.0
Release:    1%{?dist}
Summary:        Simple RFC-compliant TELNET implementation for SDL-Hercules-390

License:        Public Domain
URL:            %{forgeurl}
#Source0:        %{forgesource}
Source0:        telnet-e0e2a9150cb0c7cea8b27ea126e1367b3f03b17e.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  sed

%description    %{common_description}

%package        devel
Summary:        Development files for %{name}
Provides:       %{name}-static = %{version}-%{release}

%description    devel %{common_description}

The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -n %{srcname}-%{commit}
sed -i extra.txt -e 's:DESTINATION .:DESTINATION share/doc/%{name}-devel:g'

%build
%cmake
%cmake_build

%install
%cmake_install
mv %{buildroot}%{_docdir}/%{name}-devel/%{srcname}.LICENSE.txt .

%files devel
%license %{srcname}.LICENSE.txt
%doc README.md
%doc %{_docdir}/%{name}-devel/%{srcname}.README.txt
%{_includedir}/*.h
%{_libdir}/lib%{srcname}*.a

%changelog
* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.0-1
- initial build
